Bug 147397 - CAN-2005-0233 homograph spoofing
CAN-2005-0233 homograph spoofing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=important,public=20050207
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 16:07 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 14:14:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-07 16:07:30 EST
The Shmoo Group has discovered a homograph attack in a number of web browsers:
http://www.shmoo.com/idn/

This issue allows an attacker supply a domain name that looks like a common
name, but is an International Domain Name.  This issue would allow various
attacks to steal information from an unsuspecting vitim.
Comment 1 Josh Bressers 2005-02-07 16:10:05 EST
Affects: RHEL2.1
Affects: RHEL3
Affects: RHEL4

Upstream is tracking this issue here:
https://bugzilla.mozilla.org/show_bug.cgi?id=281381
Comment 2 Josh Bressers 2005-02-21 12:36:52 EST
Chris,

Per our conversation last week, do you have any ideas on how we plan to fix
this?  Upstream removed this functionality, but we don't want to do this.
Comment 3 Josh Bressers 2005-03-23 14:14:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-335.html
Comment 4 Josh Bressers 2005-04-28 15:11:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-384.html

Note You need to log in before you can comment on or make changes to this bug.